/* Borders */
#gitlab-review-container .gl-border-none {
  border: none;
}

#gitlab-review-container .gl-border-gray-200 {
  border-color: #dfdfdf;
}

#gitlab-review-container .gl-border-red-500 {
  border-color: #db3b21;
}

#gitlab-review-container .gl-border-left-gray-200 {
  border-left-color: #dfdfdf;
}

#gitlab-review-container .gl-border-solid {
  border-style: solid;
}

#gitlab-review-container .gl-border-left-solid {
  border-left-style: solid;
}

#gitlab-review-container .gl-border-w-1 {
  border-width: 1px;
}

#gitlab-review-container .gl-border-top-1 {
  border-top: 1px solid;
}

#gitlab-review-container .gl-border-r-1 {
  border-radius: 4px;
}

#gitlab-review-container .gl-border-rl-1 {
  border-top-left-radius: 4px;
  border-bottom-left-radius: 4px;
}

#gitlab-review-container .gl-border-rl-2 {
  border-top-left-radius: 8px;
  border-bottom-left-radius: 8px;
}

/* Cursors */

#gitlab-review-container .gl-pointer {
  cursor: pointer;
}

/* Colors */

#gitlab-review-container .gl-white {
  color: #ffffff;
  fill: #ffffff;
}

#gitlab-review-container .gl-gray-900,
#gitlab-review-container.gl-gray-900 {
  color: #2e2e2e;
  fill: #2e2e2e;
}

#gitlab-review-container .gl-gray-700 {
  color: #707070;
  fill: #707070;
}

#gitlab-review-container .gl-blue-600 {
  color: #1b69b6;
  fill: #1b69b6;
}

/* Colors: Background */

#gitlab-review-container .gl-bkg-white {
  background-color: #ffffff;
}

#gitlab-review-container .gl-bkg-gray-50 {
  background-color: #fafafa;
}

#gitlab-review-container .gl-bkg-red-500 {
  background-color: #db3b21;
}

/* Box-shadow */

#gitlab-review-container .gl-shadow {
  box-shadow: 0px 1px 4px 0px rgba(0, 0, 0, 0.3);
}

/* Layout & Position */

#gitlab-review-container .gl-fixed,
#gitlab-review-container.gl-fixed {
  position: fixed;
}

#gitlab-review-container .gl-bottom-3 {
  bottom: 16px;
}

#gitlab-review-container .gl-top-half,
#gitlab-review-container.gl-top-half {
  top: 50%;
  transform: translateY(-50%);
}

#gitlab-review-container .gl-right-0,
#gitlab-review-container.gl-right-0 {
  right: 0px;
}

#gitlab-review-container .gl-right-3 {
  right: 16px;
}

#gitlab-review-container .gl-visibility-hidden {
  visibility: hidden;
}

#gitlab-review-container .gl-visibility-visible {
  visibility: visible;
}

#gitlab-review-container .gl-display-none {
  display: none;
}

#gitlab-review-container .gl-inline-block {
  display: inline-block;
}

#gitlab-review-container .gl-inline-flex {
  display: inline-flex;
}

#gitlab-review-container .gl-flex,
#gitlab-review-container.gl-flex {
  display: flex;
}

#gitlab-review-container .gl-flex-column,
#gitlab-review-container.gl-flex-column {
  flex-direction: column;
}

#gitlab-review-container .gl-flex-row-reverse {
  flex-direction: row-reverse;
}

#gitlab-review-container .gl-align-baseline {
  align-items: baseline;
}

#gitlab-review-container .gl-align-center {
  align-items: center;
}

#gitlab-review-container .gl-align-self-center {
  align-self: center;
}

#gitlab-review-container .gl-justify-content-between {
  justify-content: space-between;
}

#gitlab-review-container .gl-justify-center {
  justify-content: center;
}

#gitlab-review-container .gl-justify-flex-end {
  justify-content: flex-end;
}

#gitlab-review-container .gl-overflow-auto {
  overflow: auto;
}

#gitlab-review-container .gl-overflow-hidden {
  overflow: hidden;
}

#gitlab-review-container .gl-z-top,
#gitlab-review-container.gl-z-top {
  /* toolbar should always be on top */
  z-index: 9999;
}

/* Spacing: Padding & Margin */
/* 0:0, 1: 4px, 2: 8px, 3: 16px, 6: 40px, 8: 56px, max: 352px */
#gitlab-review-container .gl-m-0 {
  margin: 0;
}

#gitlab-review-container .gl-mr-05 {
  margin-right: 2px;
}

#gitlab-review-container .gl-mr-3 {
  margin-right: 16px;
}

#gitlab-review-container .gl-mb-0 {
  margin-bottom: 0;
}

#gitlab-review-container .gl-mb-1 {
  margin-bottom: 4px;
}

#gitlab-review-container .gl-mb-2 {
  margin-bottom: 8px;
}

#gitlab-review-container .gl-mb-6 {
  margin-bottom: 24px;
}

#gitlab-review-container .gl-mt-1 {
  margin-top: 4px;
}

#gitlab-review-container .gl-mt-2 {
  margin-top: 8px;
}

#gitlab-review-container .gl-mt-3 {
  margin-top: 16px;
}

#gitlab-review-container .gl-mt-4 {
  margin-top: 24px;
}

#gitlab-review-container .gl-ml-auto {
  margin-left: auto;
}

#gitlab-review-container .gl-ml-0 {
  margin-left: 0px;
}

#gitlab-review-container .gl-ml-3 {
  margin-left: 16px;
}

#gitlab-review-container .gl-ml-6 {
  margin-left: 40px;
}

#gitlab-review-container .gl-my-1 {
  margin-top: 4px;
  margin-bottom: 4px;
}

#gitlab-review-container .gl-my-2 {
  margin-top: 8px;
  margin-bottom: 8px;
}

#gitlab-review-container .gl-p-1 {
  padding: 4px;
}

#gitlab-review-container .gl-p-2 {
  padding: 8px;
}

#gitlab-review-container .gl-p-3 {
  padding: 16px;
}

#gitlab-review-container .gl-pl-2 {
  padding-left: 8px;
}

#gitlab-review-container .gl-px-0 {
  padding-left: 0;
  padding-right: 0;
}

#gitlab-review-container .gl-px-1 {
  padding-left: 4px;
  padding-right: 4px;
}

#gitlab-review-container .gl-px-2 {
  padding-left: 8px;
  padding-right: 8px;
}

#gitlab-review-container .gl-py-0 {
  padding-top: 0;
  padding-bottom: 0;
}

#gitlab-review-container .gl-py-05 {
  padding-top: 2px;
  padding-bottom: 2px;
}

#gitlab-review-container .gl-py-1 {
  padding-top: 4px;
  padding-bottom: 4px;
}

#gitlab-review-container .gl-box-sizing-border-box {
  box-sizing: border-box;
}

#gitlab-review-container .gl-box-sizing-content-box {
  box-sizing: content-box;
}

/* Spacing: Height */

#gitlab-review-container .gl-h-5 {
  height: 32px;
}

#gitlab-review-container .gl-max-h-8 {
  max-height: 56px;
}

#gitlab-review-container .gl-max-h-34 {
  max-height: 272px;
}

#gitlab-review-container .gl-max-h-max,
#gitlab-review-container.gl-max-h-max {
  max-height: 352px;
}

#gitlab-review-container .gl-min-h-5 {
  min-height: 32px;
}

/* Spacing: Width */

#gitlab-review-container .gl-w-3 {
  width: 16px;
}

#gitlab-review-container .gl-w-35 {
  width: 20px;
}

#gitlab-review-container .gl-w-4 {
  width: 24px;
}

#gitlab-review-container .gl-w-5 {
  width: 32px;
}

#gitlab-review-container .gl-w-100p {
  width: 100%;
}

#gitlab-review-container .gl-max-w-8 {
  max-width: 56px;
}

#gitlab-review-container .gl-max-w-30 {
  max-width: 240px;
}

#gitlab-review-container .gl-max-w-34 {
  max-width: 272px;
}

#gitlab-review-container .gl-max-w-40 {
  max-width: 352px;
}

#gitlab-review-container .gl-max-w-max,
#gitlab-review-container.gl-max-w-max {
  max-width: 400px;
}

/* Typography */

#gitlab-review-container .gl-text-base,
#gitlab-review-container.gl-text-base{
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen-Sans, Ubuntu, Cantarell,
    'Helvetica Neue', sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol',
    'Noto Color Emoji';
  font-size: 12px;
  font-weight: 400;
  line-height: 16px;
}

#gitlab-review-container .gl-text-small {
  font-size: 12px;
  line-height: 16px;
}

#gitlab-review-container .gl-text-normal {
  font-size: 14px;
  line-height: 16px;
}

#gitlab-review-container .gl-text-large {
  font-size: 16px;
  line-height: 16px;
}

#gitlab-review-container .gl-line-height-normal {
  line-height: 12px;
}

#gitlab-review-container .gl-text-light {
  font-weight: 300;
}

#gitlab-review-container .gl-text-heavy {
  font-weight: 600;
}

#gitlab-review-container .gl-no-underline {
  text-decoration: none;
}

#gitlab-review-container .gl-underline-hover {
  text-decoration: none;
}

#gitlab-review-container .gl-underline-hover:hover {
  text-decoration: underline;
}

#gitlab-review-container .gl-transition-right,
#gitlab-review-container.gl-transition-right {
  transition: right 200ms ease-out;
}

#gitlab-review-container .gl-writing-mode-sideways-lr {
  writing-mode: vertical-lr;
  transform: rotate(-180deg);
}

#gitlab-review-container .gl-text-overflow-ellipsis {
  text-overflow: ellipsis;
}

#gitlab-review-container .gl-white-space-nowrap {
  white-space: nowrap;
}

#gitlab-review-container .gl-resize-none {
  resize: none;
}
